/*
 * bltMac.h --
 */

#ifndef _BLT_MACOSX_H
#define _BLT_MACOSX_H

#define X_ReparentWindow 7
#define X_GetImage 73

/* found in tk/macosx */
/* needed cause tk headers do not have these */
extern int XSync(Display*, Bool);
extern int XDrawPoints(Display*, Drawable, GC, XPoint*, int, int);
extern void XDrawSegments(Display*, Drawable, GC, XSegment*, int);
extern void XDrawRectangles(Display*, Drawable, GC, XRectangle*, int);
extern void XDrawArcs(Display*, Drawable, GC, XArc*, int);
extern void XFillArcs(Display*, Drawable, GC, XArc*, int);
extern long XMaxRequestSize(Display*);

/* found in bltMacOSX.c */
extern void XPutImage(Display*, Drawable, GC, XImage*,
		      int, int, int, int, unsigned int, unsigned int);
extern void XFreePixmap(Display*, Pixmap);
extern int XFree(void*);
extern VisualID XVisualIDFromVisual(Visual*);
extern Bool XGetFontProperty(XFontStruct*, Atom, unsigned long*);
extern void XFreeFont(Display*, XFontStruct*);
extern XFontStruct* XLoadQueryFont(Display*, char*);

/* no ops */
extern void XFlush(Display*);
extern Window XCreateWindow(Display*, Window, int, int, 
			    unsigned int, unsigned int,
			    unsigned int, int, unsigned int, Visual*,
			    unsigned long, XSetWindowAttributes*);
extern Status XAllocColorCells(Display*, Colormap, Bool, unsigned long,
			       unsigned int, unsigned long, unsigned int);
extern void XReparentWindow(Display*, Window, Window, int, int);
extern void XLowerWindow(Display*, Window);

#endif /*_BLT_MAC_H*/
